package alarm_msg

import (
	"encoding/json"
	"eta/eta_mobile/utils"
	"github.com/rdlucklib/rdluck_tools/http"
)

type WechatWarningReq struct {
	Content string `description:"预警信息"`
}

// SendAlarmMsg
// projectName-项目名称
// runMode-运行模式
// msgBody-消息内容
// level:消息基本,1:提示消息,2:警告消息,3:严重错误信息,默认为1 提示消息
func SendAlarmMsg(msgBody string, level int) {
	if utils.AlarmMsgUrl == "" {
		return
	}
	params := make(map[string]interface{})
	params["ProjectName"] = utils.APPNAME
	params["RunMode"] = utils.RunMode
	params["MsgBody"] = msgBody
	params["Level"] = level
	param, err := json.Marshal(params)
	if err != nil {
		utils.FileLog.Info("SendAlarmMsg json.Marshal Err:" + err.Error())
		return
	}
	http.Post(utils.AlarmMsgUrl, string(param), "application/json")
}
